package com.gem.media.ad;


public interface NativeCleanAdStatusCallBack {

    void onAdLoad(String type, String ad_type, String reason, long time, String adId, String scenario);
    void onAdLoaded(String type, String ad_type, String reason, long time, String adId, String scenario, String adPosition);
    void onNoAdError(String type, String ad_type, String reason, long time, String adId, String scenario);
    void onAdShow(String type, String ad_type, String reason, long time, String adId, String scenario);
    void onAdClick(String type, String ad_type, String reason, long time, String adId, String scenario);
    void onAdDismiss(String type, String ad_type, String reason, long time, String adId, String scenario);
    void onNativeAdVideoStart(String type, String ad_type, String reason, long time, String scenario);
    void onNativeAdVideoEnd(String type, String ad_type, String reason, long time, String scenario);
    void onNativeAdVideoError(String type, String ad_type, String reason, long time, String scenario);


}
